Name:          perl-POE-Component-Client-Ident
Version:       1.16
Release:       7%{?dist}
Summary:       A component that provides non-blocking Ident lookups to your sessions
# FSF address issue, rt#85675
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/POE-Component-Client-Ident
Source0:       http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/POE-Component-Client-Ident-%{version}.tar.gz
BuildArch:     noarch
# build
BuildRequires: perl
BuildRequires: perl(base)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MM_Unix)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
# runtime
BuildRequires: perl(Carp)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Driver::SysRW)
BuildRequires: perl(POE::Filter::Line)
BuildRequires: perl(POE::Filter::Stream)
BuildRequires: perl(POE::Session)
BuildRequires: perl(POE::Wheel::ReadWrite)
BuildRequires: perl(POE::Wheel::SocketFactory)
BuildRequires: perl(Socket)
# testsuite
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::POE::Server::TCP)
Requires:      perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:      perl(POE::Driver::SysRW)
Requires:      perl(POE::Filter::Line)
Requires:      perl(POE::Filter::Stream)
Requires:      perl(POE::Wheel::ReadWrite)
Requires:      perl(POE::Wheel::SocketFactory)
Requires:      perl(POE::Session)

%description
This package ships with three ident modules:

POE::Component::Client::Ident is a POE component that provides
non-blocking Ident lookup services to other components
and sessions. The Ident protocol is described in RFC 1413
<http://www.faqs.org/rfcs/rfc1413.html>.

POE::Component::Client::Ident::Agent is a POE component that provides
a single "one shot" lookup of a username on the remote side of a TCP
connection to other components and sessions, using the ident (auth/tap)
protocol.

POE::Filter::Ident takes lines of raw Ident input and turns
them into weird little data structures, suitable for feeding to
POE::Component::Client::Ident::Agent.

%prep
%setup -q -n POE-Component-Client-Ident-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.16-6
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.16-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Petr Pisar <ppisar@redhat.com> - 1.16-2
- Perl 5.18 rebuild

* Tue May 28 2013 Petr Šabata <contyk@redhat.com> - 1.16-1
- Initial package
